JACK-AUDIO-CONNECTION-KIT 0.125.0

Data Fields
jack_ringbuffer_t Struct Reference

`#include <ringbuffer.h>`

## Data Fields
char * | buf
volatile size_t | write_ptr
volatile size_t | read_ptr
size_t | size
size_t | size_mask
int | mlocked

## Field Documentation

## ◆ buf

char* jack_ringbuffer_t::buf

## ◆ mlocked

int jack_ringbuffer_t::mlocked

## ◆ read_ptr

volatile size_t jack_ringbuffer_t::read_ptr

## ◆ size

size_t jack_ringbuffer_t::size

## ◆ size_mask

size_t jack_ringbuffer_t::size_mask

## ◆ write_ptr

volatile size_t jack_ringbuffer_t::write_ptr

The documentation for this struct was generated from the following file:

- ringbuffer.h